#include <SPI.h>
#include <Wire.h>
#include <Adafruit_SSD1306.h>
#include "Game.cpp"

#define OLED_CLK   12
#define OLED_MOSI  11
#define OLED_RESET 10
#define OLED_DC    9
#define OLED_CS    8

#define OLED_WIDTH  128
#define OLED_HEIGHT 32

#define BTN_LEFT_DOWN   A3
#define BTN_LEFT_UP     A2
#define BTN_RIGHT_DOWN  A4
#define BTN_RIGHT_UP    A5

Adafruit_SSD1306 display(OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);
Game pong(&display, OLED_WIDTH, OLED_HEIGHT, BTN_LEFT_DOWN, BTN_LEFT_UP, BTN_RIGHT_DOWN, BTN_RIGHT_UP, analogRead(A0));
unsigned long lastRefresh = 0;

void setup()   {
  display.begin(SSD1306_SWITCHCAPVCC);
  display.clearDisplay();
  display.display();
}

void loop() {
  if(millis() - lastRefresh >= 20) {
    pong.calcBall();
    pong.calcBats();
    pong.draw();
    lastRefresh = millis();
  }
}

